Subject: RFC 2136

From: [email-masked] (Alexander Krotov)
Date: Wed, 3 Feb 1999 15:38:59 +0200 (EET)

Hello!

RFC 2136 section 3.4.2.2 says:

   In the case of a CNAME
   Update RR and a non-CNAME Zone RRset or vice versa, ignore the CNAME
   Update RR, otherwise replace the CNAME Zone RR with the CNAME Update
   RR.

Sorry, probably I do not uderstand it completely.
Let's suppose server for zone foo.com has RRs in batabase:
	a.foo.com.	A	10.10.10.10
	a.foo.com.	TXT	"Charlie Root's workstation"
And somebody sends Update request to add
	a.foo.com.	CNAME	b.foo.com.
Which behaviour of the server is correct ?
1. Server ignores CNAME Update request.
2. Server deletes both existing RRs for a.foo.com and adds CNAME RR requested. 

Thank you in advance,
-- 
Alexander Krotov	gsm: +358 40-725 7216
Product Developer	fax: +358 9-8599 0599
NameSurfer Ltd.		http://www.namesurfer.com

---

From: Robert Elz <[email-masked]>
Date: Thu, 04 Feb 1999 04:18:56 +1100

Date:        Wed, 3 Feb 1999 15:38:59 +0200 (EET)
    From:        [email-masked] (Alexander Krotov)
    Message-ID:  <[email-masked]>

  | Which behaviour of the server is correct ?
  | 1. Server ignores CNAME Update request.

That one.

kre

---

From: Paul A Vixie <[email-masked]>
Date: Wed, 03 Feb 1999 10:15:18 -0800

> 1. Server ignores CNAME Update request.

yes

> 2. Server deletes both existing RRs for a.foo.com and adds CNAME RR requested

no